GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.CashService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
String | getReason ()
void | setReason (String value)
BigDecimal | getAmount ()
void | setAmount (BigDecimal value)
String | getCurrency ()
void | setCurrency (String value)

## Protected Attributes
String | serviceName
String | reason
BigDecimal | amount
String | currency

## Detailed Description

Cash service attributes

Java class for CashService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CashService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Reason" type="{http://fpcs.gls-group.eu/v1/Common}Reason"/>
            <element name="Amount" type="{http://fpcs.gls-group.eu/v1/Common}Amount"/>
            <element name="Currency" type="{http://fpcs.gls-group.eu/v1/Common}Currency"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 46 of file CashService.java.

## Member Function Documentation

## ◆ getAmount()

BigDecimal eu.gls_group.fpcs.v1.common.CashService.getAmount | ( |  | ) |

Gets the value of the amount property.

Returns
  possible object is String

Definition at line 115 of file CashService.java.

## ◆ getCurrency()

String eu.gls_group.fpcs.v1.common.CashService.getCurrency | ( |  | ) |

Gets the value of the currency property.

Returns
  possible object is String

Definition at line 139 of file CashService.java.

## ◆ getReason()

String eu.gls_group.fpcs.v1.common.CashService.getReason | ( |  | ) |

Gets the value of the reason property.

Returns
  possible object is String

Definition at line 91 of file CashService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.CashService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 67 of file CashService.java.

## ◆ setAmount()

void eu.gls_group.fpcs.v1.common.CashService.setAmount | ( | BigDecimal | value | ) |

Sets the value of the amount property.

Parameters

  value | allowed object is String

Definition at line 127 of file CashService.java.

## ◆ setCurrency()

void eu.gls_group.fpcs.v1.common.CashService.setCurrency | ( | String | value | ) |

Sets the value of the currency property.

Parameters

  value | allowed object is String

Definition at line 151 of file CashService.java.

## ◆ setReason()

void eu.gls_group.fpcs.v1.common.CashService.setReason | ( | String | value | ) |

Sets the value of the reason property.

Parameters

  value | allowed object is String

Definition at line 103 of file CashService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.CashService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 79 of file CashService.java.

## Member Data Documentation

## ◆ amount

BigDecimal eu.gls_group.fpcs.v1.common.CashService.amount
| protected

Definition at line 55 of file CashService.java.

## ◆ currency

String eu.gls_group.fpcs.v1.common.CashService.currency
| protected

Definition at line 57 of file CashService.java.

## ◆ reason

String eu.gls_group.fpcs.v1.common.CashService.reason
| protected

Definition at line 51 of file CashService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.CashService.serviceName
| protected

Definition at line 49 of file CashService.java.

The documentation for this class was generated from the following file:

- CashService.java